> ## Documentation Index
> Fetch the complete documentation index at: https://new-docs.simplecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get latest player profile

> Get the most recent profile (name/skin) for a player



## OpenAPI

````yaml https://controller.simplecloud.app/swagger/doc.json get /v0/players/profiles/latest
openapi: 3.1.0
info:
  contact:
    email: support@swagger.io
    name: API Support
    url: http://www.swagger.io/support
  description: API for SimpleCloud Controller
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: SimpleCloud Controller API
  version: '1.0'
servers:
  - url: https://controller.platform.simplecloud.app/
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /v0/players/profiles/latest:
    get:
      tags:
        - players
      summary: Get latest player profile
      description: Get the most recent profile (name/skin) for a player
      parameters:
        - description: Network ID
          in: header
          name: X-Network-ID
          required: true
          schema:
            type: string
        - description: Network Secret
          in: header
          name: X-Network-Secret
          required: true
          schema:
            type: string
        - description: Player UUID (Minecraft UUID)
          in: query
          name: player_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.PlayerProfileResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Not Found
components:
  schemas:
    models.PlayerProfileResponse:
      description: Player profile with name and skin data
      properties:
        created_at:
          example: '2023-01-01T12:00:00Z'
          type: string
        id:
          example: 123e4567-e89b-12d3-a456-426614174000
          type: string
        name:
          example: Steve
          type: string
        player_id:
          example: 069a79f4-44e9-4726-a5be-fca90e38aaf5
          type: string
        texture:
          example: base64-encoded-texture
          type: string
      type: object
    models.ErrorResponse:
      description: Generic error response
      properties:
        error:
          type: string
      type: object

````